%global with_python3 1

%global srcname d2to1

Name: python-%{srcname}
Version: 0.2.12
Release: 1.post1%{?dist}
Summary: Allows using distutils2-like setup.cfg files with setup.py
License: BSD

Group: Development/Languages
URL: http://pypi.python.org/pypi/d2to1
#Source0: http://pypi.python.org/packages/source/d/d2to1/%{srcname}-%{version}.tar.gz
Source0: https://pypi.python.org/packages/source/d/d2to1/d2to1-0.2.12.post1.tar.gz
BuildRequires: python2-devel python2-setuptools

BuildArch: noarch

%global _description\
d2to1 allows using distutils2-like setup.cfg files for a package's metadata\
with a distribute/setuptools setup.py script. It works by providing a\
distutils2-formatted setup.cfg file containing all of a package's metadata,\
and a very minimal setup.py which will slurp its arguments from the setup.cfg.

%description %_description

%package -n python2-d2to1
Summary: %summary
Requires: python2-setuptools
Provides: python2-d2to1
%{?python_provide:%python_provide python2-d2to1}

%description -n python2-d2to1 %_description

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-d2to1
Summary: Allows using distutils2-like setup.cfg files with setup.py
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:  python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-d2to1
d2to1 allows using distutils2-like setup.cfg files for a package's metadata 
with a distribute/setuptools setup.py script. It works by providing a 
distutils2-formatted setup.cfg file containing all of a package's metadata, 
and a very minimal setup.py which will slurp its arguments from the setup.cfg.

%if 0%{?python3_other_pkgversion}
%package -n python%{python3_other_pkgversion}-d2to1
Summary: Allows using distutils2-like setup.cfg files with setup.py
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
Requires:  python%{python3_other_pkgversion}-setuptools

%description -n python%{python3_other_pkgversion}-d2to1
d2to1 allows using distutils2-like setup.cfg files for a package's metadata 
with a distribute/setuptools setup.py script. It works by providing a 
distutils2-formatted setup.cfg file containing all of a package's metadata, 
and a very minimal setup.py which will slurp its arguments from the setup.cfg.
%endif
%endif # with_python3

%prep
#%setup -q -n %{srcname}-%{version}
%setup -q -n %{srcname}-%{version}.post1

%build
%py2_build

%if 0%{?with_python3}
%py3_build
%if 0%{?python3_other_pkgversion}
%py3_other_build
%endif
%endif # with_python3

%install
%if 0%{?with_python3}
%py3_install
%if 0%{?python3_other_pkgversion}
%py3_other_install
%endif
%endif # with_python3

%py2_install

%files -n python2-d2to1
%doc CHANGES.rst README.rst
%license LICENSE
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-d2to1
%doc CHANGES.rst README.rst
%license LICENSE
%{python3_sitelib}/*

%if 0%{?python3_other_pkgversion}
%files -n python%{python3_other_pkgversion}-d2to1
%doc CHANGES.rst README.rst
%license LICENSE
%{python3_other_sitelib}/*
%endif
%endif # with_python3


%changelog
* Sat Nov 3 2018 Orion Poplawski <orion@nwra.com> - 0.2.12-1.post1
- Build for Python 3
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)
- Python 2 binary package renamed to python2-d2to1
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
- New upstream source (0.2.12)
- Use python2 macro

* Mon Jan 27 2014 Matthias Runge <mrunge@redhat.com> - 0.2.10-3
- minor cleanup and rebuilt for epel7

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 25 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 0.2.10-1
- New upstream source

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 04 2013 Sergio Pascual <sergiopr at fedoraproject.org> - 0.2.7-2
- Requires for python3 inside python3 package (bz #891381)

* Wed Sep 26 2012 Sergio Pascual <sergiopr at fedoraproject.org> - 0.2.7-1
- New upstream source
- Removing upstream egg-info and defattr

* Thu Sep 22 2011 Sergio Pascual <sergiopr at fedoraproject.org> - 0.2.5-1
- Initial spec file

